LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFormControllerListener Interface Referencepublished

allows to be notified when the activation status of a FormController changes. More...

`import"XFormControllerListener.idl";`

Inheritance diagram for XFormControllerListener:

## Public Member Functions
void | formActivated ([in] com::sun::star::lang::EventObject rEvent)
| is invoked when a control of the controller gained the focus and the controller was not previously activated. More...
void | formDeactivated ([in] com::sun::star::lang::EventObject rEvent)
| is invoked when a control of the "XFormController" lost the focus and no control of the controller received the focus. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to be notified when the activation status of a FormController changes.

A form controller is activated if a form control gains the focus and none of its controls currently owned the focus before.

See also
  XFormController

## Member Function Documentation

## ◆ formActivated()

void formActivated | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is invoked when a control of the controller gained the focus and the controller was not previously activated.

Parameters

  rEvent | the event happened.

## ◆ formDeactivated()

void formDeactivated | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is invoked when a control of the "XFormController" lost the focus and no control of the controller received the focus.

In other words, no control of the controller owns the focus.

Parameters

  rEvent | the event happened.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XFormControllerListener.idl